Welcome page

Overview

TweakWindow is an easy-to-use and effective utility on the must have list. TweakWindow can help people of various professions in their daily routine and everyone can find a way to use this program on his or her computer both in office and at home. Read about the main advantages TweakWindow will provide you with, and in a few days you will not be able to do without it!

If the program lacks some features you need or if you know how we can improve our software, please contact us and you can get registered for free.

As you know, Microsoft's operating system is called Windows because its users work in windows of various programs. But sometimes you need more features for comfortable work than Microsoft implemented. Most users experience similar difficulties:

- Unlike a real window, you cannot look through a window; (Our solution: Make it transparent.)

- Some software must be running, but even though the user does not work with it, those programs occupy space on the taskbar; (Our solution: Minimize it into the system tray. For example - Hide Microsoft Outlook Express into an icon in the system tray)

- If you switch to another window, it may prevent you from seeing the previous window with useful information; (Our solution: Make new window always on top.)

- Sometimes you need to have one window above another, but work with the one that below; (Our solution: Instead of the "Window always on top" feature, make it Ghost.)

- You cannot hide a window so that nobody can see it while you are away; (Our solution: Hide the window of any program .)

- You cannot change the title and the icon of your favorite program so that someone coming up to you cannot see what programs are running on your taskbar; (Our solution: Change the title and the icon of any window.)

- You cannot quickly minimize or hide a window without either moving your mouse or using your keyboard; (Our solution: If you use the mouse - Minimize or hide a window with a mouse click without moving your mouse. OR, if you use the keyboard - minimize or hide a window using hotkeys on your keyboard.)

- To move a window, you have to move the pointer to its title bar; (Our solution: Move any window using ANY part of it.)

- The system feature "Move pointer to the default button in dialog boxes" does not work in many applications; (Our solution: Instead of the system feature use our feature "Move pointer to the default button.")

- And much more.

TweakWindow will help you solve all these problems, make your work more quick and comfortable and protect your privacy.

For more information see the following sections of help:

Main features - TweakWindow main features

User interface - describes the user interface and various aspects of using TweakWindow

Tutorial - shows a step-by-step tutorial, which will help you learn to use TweakWindow

Other information - license agreement, tech support, FAQ etc.

Home page: http://www.AbsoluteWay.com e-mail: support@AbsoluteWay.com

Copyright (c) 2003-2005 AbsoluteWay


Main features

Window enhancement:

- Transparent window. Through a transparent window, you can see the contents of the window that is below the one you are currently working with. With the "Transparent window" feature, you will save a lot of time you would otherwise spend on switching between windows. More info...

- Window always on top . You can make a window stay always on top and this window will be displayed above all other windows, when you are working with them. This will allow you to see the results in the work of a program even if you are currently working with another application that occupies the entire screen. If you want it, the window can be made transparent whenever you make it topmost. More info...

- Rollup window. Do you want to see a window on the screen so that it occupies as little space as possible? Use the Rollup window feature for minimizing the size of the window to the size of its title bar. More info...

- Ghost window . If you want to see the window on top, but it is large in size and you have to work with a window below it - make it a Ghost! A Ghost window stays on top of other windows, can be transparent and let mouse clicks THROUGH to a window below! More info...

- Minimizing a window into the system tray . A lot of programs (such as Microsoft Outlook Express, Windows Media Player and others) have no built-in feature for minimizing into the tray. These programs must be running all the time while you are working with the computer, but you use them only occasionally. Other programs may be used only infrequently, etc. All those programs occupy space on the taskbar and make it difficult to navigate between windows. More info... For example - Minimize Microsoft Outlook Express into an icon in the system tray

Privacy protection:

- Hide window. Are you afraid to start some programs because someone may see you using them? Do you close programs and documents when you leave the computer because someone may see your confidential information or steal your ideas? Now you don't have to close all windows, when you leave the room - just hide them. Now you don't have to close a game or your browser when someone comes up to you - just hide them. More info...

- Chameleon feature. Do you avoid using the Autohide feature of the taskbar and all active programs are visible on your taskbar (that is, their icons and titles)? Do your colleagues look over your shoulder and tell your boss every time they see you surfing the Internet or playing games? Does your network administrator use some spyware to detect if there is any forbidden software running? With TweakWindow, you can change the title and the icon of any window. More info...

- Quickly minimizing into the tray / hiding a window without using the keyboard or moving the mouse. Do you need to quickly hide the window when somebody is coming up to your display? TweakWindow helps you solve these problems. More info...

MS Windows system enhancement:

- Moving a window by clicking and holding not its title bar, but any place on the window . Do you need to move a window when the pointer is far from its title bar? Do you have to get the pointer back to its previous position after you move a window? Are you disappointed at the fact that Microsoft has not implemented such a feature? Your problems are solved with TweakWindow! More info...

- Enhancing the "Move pointer to the default button in dialog boxes" system feature. Do you make use the useful "Move pointer to the default button in dialog boxes" system feature, but find it does not work in many of your applications? You do not know how to solve this problem, do you? We do! Use TweakWindow. More info...

Miscellaneous:

- The invisible mode for protecting your privacy; restoring all windows that are hidden and minimized into the tray with one click; selecting TweakWindow buttons displayed on the title bars of windows; moving the title bar buttons for compatibility with other applications; integration with the system menus of windows and other features. More info...


Transparent window

Transparent windows - make any window transparent and make your work easier and quicker!

TweakWindow uses new features of Windows 2000/XP/2003 that allow you to make windows transparent. The transparency makes windows of your programs more usable. You can use the "Transparent window" feature to be able to see the contents of the window below the one you are currently working with. You can specify a separate transparency level from 0 % to 100% for any window.

It gives you the following advantages:

- You can see information in various windows without switching between them.

- You can enter information (names, addresses, phone numbers, etc.) in the transparent window looking through it at the window below that contains that information.

- You can use this feature together with the "Window stay always on top" feature. In this case you will be able to see the changes in the topmost window and see the contents of the entire window you are currently working with.

If you are not aware of the advantages transparent windows provide you with, install TweakWindow and try it! With the "Transparent window" feature, you will save a lot of time you would spend on switching between windows and make your work easier and quicker.

If you want, a window can get transparent when you make it topmost. You can enable the option and make it transparent when it is on top. You can specify the transparency level for topmost windows.

If you need not only to see, but also to use your mouse with a window below the one on top - you can make it a Ghost.

TweakWindow provides you with two ways to make a window transparent -the "Window transparency" button on the title bar of the window or the "Window transparency" command from the system menu.


Window always on top

Window always on top feature - make a window stay on top of all other windows and forget about disappearing windows.

With TweakWindow, you can make the window of any program stay on top with one click or keystroke. You can make a window stay on top and the window of this program will be displayed on top of all other windows if you are currently working with them. It will allow you to see the results in the work of the program even if you are working with another application occupying the entire screen.

You can find a lot of ways to use this feature making your work easier:

- For example, this feature is useful in dialog boxes that are not displayed on the taskbar (such as File Properties, Date/Time Properties, etc.). When you activate another window, it covers these dialog boxes and you will have to minimize other windows to be able to see the dialog boxes again. But if such a dialog box is always on top, you will never lose it.

- If you work with dynamic information (such as financial indexes, or indicators of various tools, or watch a film on the screen, etc.), you can click the "Always on top" button on the title bar of the window with the necessary information, switch to another program and you will never miss important changes.

- If you need to enter some information in one window while looking at another one, make the window with the information source on top and it will always be visible.

- For example, if you use the Calculator to count data from various files, other windows will never cover the Calculator if you use the "Window always on top" feature.

- And more.

Install TweakWindow and you are sure to experience a pleasant surprise from its new features!

If you want, a window can become transparent when you make it topmost. You can select the option to make it transparent when it is on top. You can specify the transparency level for topmost windows.

If you need not only to see, but also to use your mouse through the topmost window with the window that is below it - use the Ghost feature.

TweakWindow provides you with three ways to make a window stay on top - the "Stay window on top" button on its title bar, the "Stay window on top" command from its system menu or hotkeys. You can assign the key combination you find comfortable as the "Always on top" hotkey.


Rollup window

Do you want to see a window on the screen so that it occupies as little space as possible? Use the Rollup window feature!

Have you ever noticed how many opened windows you have on your desktop simultaneously? Usually users work simultaneously with several programs and each of them can open several windows. Does it get difficult for you to navigate between the windows and you are constantly switching between them? Do you need to see a window on the screen so that it occupies as little space as possible? Use the Rollup window feature for minimizing its size. After you execute the "Rollup" command, the window "shrinks" to the size of its title bar and allows you to free some space for other windows. And you still can move the window on the screen and minimize/restore it. You can use the Rollup window feature for rolling the window up quickly in order to see some information below it and restoring it quickly as well. Some windows (such as download progress indicators) contain all the necessary information in their title bars and you do not have to see their entire contents. In this case you can leave only the title bar on the screen and work in other windows.

If you want a window to remain rolled up for a long time, you can use the "Window always on top" feature together with "Rollup window". In this case the title bar will be displayed on top of other windows you are working with.

TweakWindow provides you with three ways to roll up a window - the "Rollup window" button on its title bar, the "Rollup window" command from its system menu or hotkeys. You can assign the key combination you find comfortable as the "Rollup window" hotkey.


"Ghost" window

Do you need to see a window on top and click your mouse through it on the window below - make it Ghost!

If you want to see a window on top, but it is large in size and you have to work with the window below it - make it Ghost! A Ghost window stays on top of other windows, can be transparent and lets mouse clicks THROUGH it to a window below it!

A Ghost window is a special type of windows that can make your work easier and more comfortable. TweakWindow allows you to make any window Ghost and get the functionality not available with usual windows in MS Windows. The "Window always on top" and "Transparent window" features allow you to make a window stay on top of other windows (even if it is not active and you are working with another program) and see through it. The "Make it Ghost!" feature combines these features and provides you with a unique feature of clicking your mouse through a Ghost window on a window located below it! Now you can not only see the contents of both the topmost window and a window below, but also work with the window below as if there were no topmost window at all!

For example, you can work in a text editor or in a browser and see the indicators of various tools, a film or stock quotation changes in front of you. If you specify a large level of transparency for a Ghost window, move it to a convenient place and resize it properly, it will not interfere with your work, but you will always be able to notice any changes in the topmost window. As a Ghost window lets mouse clicks through it, you will not experience any inconveniences while working with your text editor or browser.

Another example: you can work in the Internet having your browser window maximized. When you have to wait long for a large page to load, you can make it Ghost and work with another program the window of which is located below the browser window. At the same time you will see when the page will be loaded into the browser. After you install TweakWindow, the windows of your programs will get the functionality Microsoft did not provide you with.

Unlike other software allowing you to make windows Ghost, TweakWindow gives you a unique feature of moving and resizing Ghost windows. If you want, you can enable the "Allow interacting with Ghost title bars" and the title bars of Ghost windows will respond to mouse operations the same as those of usual windows. You can move such a window to the location convenient for you and resize it in such a way that you see only the information you need. If you disable the "Allow interacting with Ghost title bars", a Ghost window will not interact with the mouse and will let all clicks, even on the title bar, through. To turn off the Ghost mode in this case, you can use the system menu of the window from the taskbar.

TweakWindow provides you with three ways to make a window Ghost - the "Ghost window" button on its title bar, the "Ghost window" command from its system menu or hotkeys. You can assign the key combination you find comfortable as the "Ghost window" hotkey.


Minimize window into the tray

Minimize any window of any program into an icon in the system tray - hide a window and free some space on the taskbar.

A lot of programs (such as Microsoft Outlook Express, Windows Media Player and others) have no built-in feature of minimizing them into the tray. These programs must be running all the time while you are working with the computer, but you use them only occasionally. Other programs may wait a long time untill you get back to working with them, etc. All those programs occupy space on the taskbar and make it difficult to navigate between windows. Usually, users want to hide such programs, but if their authors did not implement the option for minimizing them into the tray, all you can do is make the height of the taskbar larger (making the useful space on the screen smaller) and watch the buttons of the running programs (and their titles) getting smaller on the taskbar. TweakWindow will help you solve this problem!

Now, even if a program does not have the option for minimizing it into the tray, you can hide it from the taskbar into an icon in the systems tray with a click or a hotkey. The tray icon of a program occupies much less space than its taskbar button and you get additional space for other programs. Additionally, if a program is minimized into the tray, it is not displayed in the ALT+TAB dialog and you can use fewer keystrokes to switch between windows. To display a window minimized into the tray, just click on its icon. You can specify the number of clicks you find comfortable for displaying a window - one click or a double click. Since TweakWindow displays the original icons of the programs minimized into the tray and tooltips with the titles of those windows, it is easy for you to operate the icons of the windows minimized into the tray. Just install TweakWindow to get these advantages.

For example, Minimize Microsoft Outlook Express into an icon in the system tray

If you want to hide a window no-one can see it while you are away from the computer, use the "Hide Window" feature.

If you want to quickly minimize a window into the system tray, use the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature.

TweakWindow provides you with four ways to minimize a window into the system tray - the "MinToTray" button on its title bar, the "MinToTray" command from its system menu, hotkeys or the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature. You can assign the key combination you find comfortable as the "MinToTray" hotkey.


Hide the Outlook window from the taskbar

Minimize Microsoft Outlook Express into an icon in the system tray - hide the Outlook window from the taskbar.

The popular e-mail client Microsoft Outlook Express (as well as Outlook 97 / 2000 / XP) does not have the built-in option of minimizing it into the system tray. Usually Microsoft Outlook Express must be started at the beginning of your day so that you can get notifications about the incoming mail, scheduled events, etc. Although these events take place rarely, Microsoft Outlook Express must be running all the time not to miss the moment. Outlook Express occupies space on the taskbar all the day and due to this there is less space for the buttons of other programs left. You cannot hide Microsoft Outlook Express into an icon in the system tray and free some space for other software. TweakWindow can help you solve this problem in Microsoft Outlook Express (and in Outlook 97 / 2000 / XP)!

Now you can minimize it into an icon in the systems tray with a click or a hotkey. The tray icon of the program occupies much less space than its taskbar button and you get additional space for other programs. Additionally, if the program is minimized into the tray, it is not displayed in the ALT+TAB dialog and you can use fewer keystrokes to switch between windows. To display Microsoft Outlook Express minimized into the tray, just click the Outlook icon in the tray. You can specify the number of clicks you find comfortable for displaying a window - one click or a double click. All the time that Microsoft Outlook stays minimized in the system tray, it continues carrying out its functions - receiving mail and news, performing scheduled tasks and meetings, etc. At any time you can open the Outlook window, do some work and hide Outlook again. Just install TweakWindow to get these advantages.

If you want to hide the Microsoft Outlook Express window so no-one see it while you are away from the computer, use the "Hide Window" feature instead of "Minimize a window into the system tray".

If you want to quickly hide Microsoft Outlook Express, use the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature.

TweakWindow provides you with four ways to minimize Microsoft Outlook Express into an icon in the system tray - the "MinToTray" button on its title bar, the "MinToTray" command from its system menu, hotkeys or the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature. You can assign the key combination you find comfortable as the "MinToTray" hotkey.


Hide any window and any program

Hide any window and any program away from the screen and the taskbar to protect your privacy. Now you can stop worrying about people that have access to your computer while you are away from it.

Are you afraid to start some programs because someone may see you using them? Do you close programs and documents when you leave the computer because someone may see your confidential information or steal your ideas? You do not want anyone in the office to find out that you play games, watch films or browse the Internet, do you? TweakWindow will help you protect your privacy. Now you do not have to close all windows when you leave the room - just hide them. Now you do not have to close a game or the browser when someone comes up to you - just hide them.

You can quickly hide the window of any program no matter if you are using the keyboard or the mouse at the moment. Install TweakWindow and get additional advantages from using hidden programs. Each person should have the opportunity to hide some information from others. After you hide the window of a program, you can go on with other activities without worrying about your privacy. Hidden windows are not displayed in the ALT+TAB dialog box and on the taskbar. At any time you can use hotkeys or the TweakWindow menu in the tray to access the list of hidden windows, select one or several windows and restore them to the screen.

To make the protection of your privacy still better, you can use the "Chameleon" feature and the invisible mode together with the "Hide window" feature. When the program is in the invisible mode, nobody will suspect that you are using TweakWindow. When it is in the invisible mode, the only way to show hidden windows is to use hotkeys that only you know.

If you want to quickly hide any window, use the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature.

If you just want to free some space on the taskbar by taking away running, but rarely used programs, you can use the "Minimize a window into the system tray" feature instead of "Hide Window".

TweakWindow provides you with four ways to hide a window - the "Hide Window" button on its title bar, the "Hide Window" command from its system menu, hotkeys or the Quickly minimize / hide into the tray without using the keyboard or moving the mouse feature. You can assign the key combination you find comfortable as the "Hide Window" hotkey.


Chameleon window

The Chameleon Window feature protects your privacy. TweakWindow allows you to change the icon and title of any window. Now you can stop worrying about people looking over your shoulder at your taskbar.

Are you afraid to start some programs because someone may see you using them? Do you avoid using the Autohide feature of the taskbar and all active programs are visible on your taskbar (that is, their icons and titles)? Do your colleagues look over your shoulder and tell your boss every time they see you surfing the Internet or playing games? Every person wants to have a bit of rest during his or her day and play solitaire or see a new video clip. But you have to worry that you colleagues will see it and you will be fired. Now you can stop worrying about your reputation. TweakWindow will help you protect your privacy.

All programs that you use display the icon and the title bar that their developer assigned to them. You can change the icon and the name of a shortcut on the desktop, but not of its open window. With TweakWindow, you can change the title and the icon of any window. For example, you can change the icon and the title of a game for the icon and the title of MS Word (or other program) so that everyone thinks that you are working on an important document. After you change the window properties, the ALT+TAB dialog will display MS Word instead of your game (or browser, media player, ICQ, etc.). Now you can just minimize the window and nobody will know what programs you are actually using at the moment.

Additionally, administrators in many offices use various spyware detecting when forbidden programs are used judging from their window titles (Windows Media Player, DivX, Solitaire, ICQ, etc.) and informing the administrator about it. With TweakWindow, you can stop being afraid of that spyware after you change the icons and the titles of windows. After you install TweakWindow, you can feel more confident.

If you want to quickly hide any window, use the Quickly hide / minimize into the tray without using the keyboard or moving the mouse feature. If you use these features together plus the TweakWindow invisible mode, it gives you a powerful means to protect your privacy.

TweakWindow provides you with two ways to make a window invisible - the "Chameleon Window" on its title bar or the "Chameleon Window" command from its system tray.


Quickly minimizing / hiding a window

Quickly minimizing / hiding a window into the tray without using the keyboard or moving the mouse.

Do you often have to quickly hide a window from the screen when someone comes up to your desk? Besides, you do not want the minimized window to be displayed on the taskbar and in the ALT+TAB dialog, do you? Do you have to panic and grab your keyboard or move your mouse to do it? Or do you just want to minimize a window into the system tray without any additional motions?

Usually you have to use hotkeys for that or move the pointer to the window title bar. With TweakWindow, you can do it with one mouse click anywhere on the window without moving the mouse. Now you can just press the mouse button and hold it down and the window will be hidden or minimized into the system tray. You can define the type of operation yourself (hiding or minimizing into the system tray) and the time to hold down the mouse button. After you install TweakWindow, your privacy will be protected and your time saved.

If you are working with the keyboard use the hotkeys of the "Hide window" feature to quickly hide a window. If you do not want anyone to see the running program on the taskbar (when it is not hidden), use the Chameleon feature. If you use these features together plus the TweakWindow invisible mode, it gives you a powerful means to protect your privacy.


Easy window moving

Enhancing the functionality of MS Windows. Dragging a window using the mouse not on the title bar, but anywhere on the window. TweakWindow provides you with features that Microsoft did not take care of.

Do you need to move a window when the pointer is far from its title bar? Do you have to get the pointer back to its previous position after you move a window? Are you disappointed at the fact that Microsoft does not provide such a feature? Your problems are solved with TweakWindow!

99.9% of users use their mouse devices to move windows on the screen. In most cases you move a window to have a look at the contents of another window. But you have to move the pointer to the window title bar to perform this operation. After you move the window, you have to get back to the place on the window where you were before to go on with your work (after you have seen the necessary information in another window). Most users try to find a way to use their mouse devices for moving a window outside its title bar, but unfortunately Microsoft did not provide this. You have to waste precious time on performing useless operations (moving the pointer to the title bar and back) and hope that some day this drawback will be fixed. Congratulation! Install TweakWindow and you will be able move a window applying your mouse anywhere on a window if you simultaneously press the left and the right mouse buttons, hold them down and move your mouse. Now you can quickly move a window and the pointer will remain in its previous position.


Move pointer to the default button

Enhancing the "Move pointer to the default button in dialog boxes" system feature. Now this feature works in all your programs!

In the «Mouse» section of the Windows Control Panel there is an option called "Move pointer to the default button in dialog boxes". This feature is useful for those who often work with dialog boxes and have to click the buttons "OK", "YES" etc. all the time. In good applications the most frequently used choice corresponds to the default button. If you use the "Move pointer to the default button in dialog boxes" option, the pointer is automatically moved to the default button and all you have to do is just click the mouse button. A lot of users use this feature saving their time. You must have noticed that this feature does not work in all programs and that you have to move the pointer to the default button manually in some of them. It causes a lot of inconvenience and a lot of users ask - «Why?».

The reason for that is because not all developers follow Microsoft standards when developing their software. For example, the "Move pointer to the default button in dialog boxes" feature does not work in programs written in Borland Delphi. The reason is known, but Microsoft does not want to change the Windows feature only because of Borland.

We think that a user does not have to know about these technical details and should not be the victim of arguments between software developers. We found a solution to this problem and TweakWindow will help you to fix the functioning of the "Move pointer to the default button in dialog boxes" feature in any programs. Install TweakWindow and see for yourself!

With TweakWindow, the "Move pointer to the default button in dialog boxes" option works both in Microsoft and in Borland windows. Moreover, it properly works even in those windows of Microsoft programs where the standard feature does not work. Additionally, our "Move pointer to the default button in dialog boxes" option takes into account that a dialog box can be covered by another window (for example - topmost). In this case the pointer does not jump «into nowhere» in the topmost window. If those windows on top cover only a part of the default button, the pointer will be moved to the visible corner of the button and you will just have to click it. Besides, our feature does not allow the pointer to jump «into nowhere», when a dialog box was created by a program, but was not displayed on the screen.

NOTE: To avoid conflicts, we strongly recommend that you disable this feature in the "Mouse" section of the Windows Control Panel or in additional software that you use with your mouse.


Additional features

The invisible mode to protect your privacy; restoring all hidden windows and windows minimized into the tray with one click, specifying TweakWindow buttons displayed on the title bars and other options.

Along with the main features (More info...), TweakWindow provides you with various features for your convenience:

- Invisible mode. In the TweakWindow settings you can enable the invisible mode so that no icon is displayed in the system tray, no buttons are displayed on the title bar of windows and no items are added to the system menus of windows. In this case you can hide windows using hotkeys without anyone noticing that you use TweakWindow. Only you will be able to restore hidden windows using hotkeys (you can assign your own key combinations for that). Using the invisible mode together with the Chameleon feature and quick window hiding without using the keyboard or moving your mouse gives you a powerful means to protect your privacy.

- "Restore All" feature. TweakWindow has a feature called "Restore All" that you can use for restoring all hidden windows and windows minimized into the tray with one click.

- Specifying TweakWindow buttons displayed on the title bars of windows. If you do not use some features, you can remove the corresponding buttons from the title bar of windows.

- Moving title bar buttons aside for compatibility with other applications. Some other applications can also add buttons to the window title bar. You can move TweakWindow buttons a bit aside for buttons not to overlap.

- Integration with the system menus of windows. If desired, you can add TweakWindow commands to the system menus of windows. It will allow you to apply those commands to minimized windows and use the keyboard to perform them instead of hotkeys.


User interface

The user interface of TweakWindow has two main elements:

- The icon and the menu in the system tray.

- The settings window. In this window you can specify the main parameters of TweakWindow, enable or disable various features, assign key combinations as hotkeys, select the level of integration with windows of other programs, etc. To display the settings window, you can use either hotkeys or the icon in the system tray. If you forget the combination of hotkeys for displaying the settings window and the option for displaying the icon in the tray is disabled, you can run another instance of TweakWindow (using the shortcut either on the desktop or in the Programs menu) and after that the settings window will be displayed.


The icon and the menu in the system tray

If this option is enabled, you can see the TweakWindow icon in the system tray (next to the clock).

A left double-click on the icon will open the menu with the following commands:

- Settings. Opens the settings dialog.

- Show windows. Displays the list of hidden windows and windows minimized into the tray. Also contains the Select... item for selecting several windows to be displayed and the Show All item for displaying all windows.

- Restore All. Restores all modified windows (transparent, topmost, ghost, minimized into the tray, hidden, changed icon and title, etc.) to their original state. Additionally, all windows will be restored once you exit TweakWindow.

- Help. Opens the help file.

- About. Displays the information about the program.

- Exit. Closes the program.


Settings dialog

The settings window contains the following elements:

- Menu

- Left pane where you can select the type of information you need.

- Right pane displaying settings depending on what is selected in the left pane. The following panes can be displayed here:

- Options

- Appearance

- Hotkeys

- About

- Buttons:

- OK. Click this button to apply the changes.

- Cancel. Click this button to cancel the changes.

- Apply. Click this button to apply the changes without closing the settings window.

- Help. Click this button to open the help file.


Options pane

The Options pane contains the main program settings.

- Launch program at Windows startup. If this option is enabled, TweakWindow will be automatically launched each time you start Windows.

- Show splash screen on startup. If this option is enabled, a splash screen with the name and the version of the program will be displayed when TweakWindow is launched.

- Make window transparent when it stay "Always on top". You can enable this option for the convenient use of the "Window always on top" feature. In this case the window will automatically become transparent when you make it stay on top of other windows. You can select the transparency level from the Transparency list.

- Extra right space. If you use other software that adds buttons to the title bar of a window, you can move TweakWindow buttons a bit aside so that the buttons do not overlap.

- Show hotkeys in tooltips. If this option is enabled, the tooltips displayed when you point the mouse to TweakWindow buttons on the title bar of a window will contain the hotkey combinations assigned to the corresponding operations.

- Restore window from tray with one / double click. You can select the way to restore windows minimized into the tray that suits you best. If you want to restore windows quickly, select one click. If you do not want windows to be restored when you unintentionally click on the tray, select double click.

- Allow interaction with "Ghost" title bar. A Ghost window lets all mouse clicks through (More info about 'Ghost' windows.). If you want to be able to move and resize Ghost windows as well as disable the Ghost mode with the button on the title bar of a window - enable this option.

- Move pointer to default button in dialog boxes. Replaces the system feature and fixes problems with some software. As you know, this feature does not work with some programs (for example, with those written on Borland Delphi). TweakWindow allows you to move the pointer to the default button in all windows. More info... If you use this Windows feature, use our implementation of it instead.

- Easy window moving. Click the left and right mouse buttons anywhere on a window and drag it. TweakWindow allows you to move windows not only by using their title bars, but by clicking anywhere on them. More info...


Appearance pane

On the Appearance pane you can configure the way TweakWindow should interact with windows of other programs.

- Show icon in system tray. If this option is enabled, there will be the icon of TweakWindow in the system tray. A right-click on this icon will open the menu for showing hidden windows, help, the settings window, etc. A double-click on the icon will open the settings window. If you do not want anyone to know that you are running TweakWindow, you can disable this option. Also, to protect your privacy, you can forbid displaying buttons on the title bars of windows and additional items in their system menus (see below).

- Integrate with Windows system menus. If this option is enabled, additional items for TweakWindow features will be displayed in the system menus of windows. You can use these items in the system menu instead of the buttons on the title bars of windows if you do not want to see them there.

- Title buttons. If you do not use all the TweakWindow features, you can select the buttons you want to be displayed on the title bars of windows.

- Mode button. A click on this button will open the menu with predefined option combinations. After you select the mode, you can modify its settings using the options described above.

NOTE: When the program is in the invisible mode, you should use hotkeys for displaying the settings window or hidden window (or restart the program using its shortcut to open the settings window).


Hotkeys pane

On this pane you can configure convenient ways for you to quickly perform various operations.

- The list contains the current hotkeys. To change a hotkey combination, select an operation and click the "Edit." button.

- "Restore defaults" button. When you click this button, the default TweakWindow hotkey combination will be restored.

- Use mouse button to hide windows. You can use this option to quickly hide a window from the screen (More info...).

- Time of holding down. You can select the time the left mouse button should be held down to hide a window from the screen. This time should be quite short (to hide it quickly), but it should not result in hiding it unintentionally when just clicking it. You can select the value that suits you best.

- Window action. You can select the type of action carried out when the mouse button is held down. A window can be either minimized into the system tray (More info...) or completely hidden (More info...).


About pane

The About pane contains the information about the version of the program, our website and e-mail addresses for you to be able to contact us in case you have any questions.

If your version is not registered, in this pane you will see a button labeled "Register Now" that you can use to register TweakWindow.

If you are a registered user, you registration information is displayed here (your name, the number of licenses, etc.)


Hidden windows menu

You can select one or several hidden or minimized to system tray windows, which will be displayed.

You can display this dialog with the hotkeys, or from the TweakWindow menu in system tray.


F.A.Q.

- What benefits do I get by purchasing TweakWindow ?
With TweakWindow, you can protect your privacy; do your job faster and in a more comfortable way.

- What is the difference between TweakWindow and similar software ?
TweakWindow gives you a unique combination of features. Some other software provides features available in TweakWindow. But only TweakWindow provides you with all those features at a price less than the price of programs having only 2-3 features.

- What useful features do I get with TweakWindow ?
Its main features: See here

- Why should I register TweakWindow ?
After you register the software, you will get priority in technical support and all the trial limitations will be removed.

- Will I have to pay for updating TweakWindow ?
No. Registered users can use all future versions free of charge.

- What operating systems are supported by TweakWindow ?
TweakWindow supports the following operating systems:

  • Windows 2000
  • Windows XP
  • Windows 2003

    - How much drive space does TweakWindow occupies ?
    The installation program takes 1.5 MB. After TweakWindow is installed on your system it occupies less than 1.3 MB.

    - Does TweakWindow change and/or replace any Windows system files ?
    No, TweakWindow does not alter or replace system files; neither does it place its own files in Windows system folders.

            •


Tutorial

How do I make a window stay on top of other windows?
Click the "Stay on top" button on its title bar or select the corresponding item from the system menu or use hotkeys. To disable the "Window on top" option, perform these operations again.

How do I make a window transparent?
Click the "Transparency" button on its title bar or select the corresponding item from the system menu. Use the menu to specify the transparency level for the window. To make the window nontransparent again, set its transparency level to 0%.

How do I click through a window?
Click the "Ghost" button on its title bar or select the corresponding item from the system menu or use hotkeys. If you want to move or resize a Ghost window, enable the "Allow interaction with Ghost title bar" option in the TweakWindow settings. To disable the "Ghost" option, perform these operations again.

How do I minimize a window into the system tray?
Click the "Minimize to tray" button on its title bar or select the corresponding item from the system menu or use hotkeys. To restore the window, click its icon n the tray. In the program settings you can specify the number of clicks you find comfortable for displaying a window - one click or a double click.

How do I hide a window from the screen?
Click the "Hide" button on its title bar or select the corresponding item from the system menu or use hotkeys. To restore the hidden window: Use hotkeys to display the list of hidden windows Or Right-click the TweakWindow icon in the system tray, select the "Show windows" icon and select the window to be displayed.

How do I quickly hide a window from the screen without using hotkeys or moving the mouse?
Enable this option in the TweakWindow settings. Click the left mouse button on the window and hold it down. After some time the window will be minimized into the tray or hidden. Use the program settings to specify the time of holding down the button and what it should do - minimize the window into the tray or hide it.

How do I use the mouse anywhere on the window to move it?
Enable this option in the TweakWindow settings. Click the right and left mouse buttons simultaneously, hold them down and move the mouse.


Acknowledgements

Thanks to these people we managed to make TweakWindow the best software in its market segment:

Alec Burgess - the best tester of TweakWindow. Thanks to Alec a lot of bugs were detected and fixed during beta testing. Also, Alec suggested a lot of useful improvements that you can find now in TweakWindow. Thanks, Alec!

Bruno Podetti - the author of NewMenu. NewMenu is a free component for displaying XP-style menus.

Alexander Petrov - was of great help in the development of TweakWindow.


Other information

This topic offers the following information:

License

How to register

Frequently Asked Questions

Technical support and Upgrade


License

LICENSE AGREEMENT

The TweakWindow is shareware. This means:

1. All copyrights to TweakWindow are exclusively owned by the author - Sergey Konov.

2. Anyone may use this software during a test period of 15 days . Following this test period of 15 days or less, if you wish to continue to use TweakWindow, you MUST register.

3. Once registered, the user is granted a non-exclusive license to use TweakWindow on one computer (i.e. a single CPU) at a time, for any legal purpose. The registered TweakWindow software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to the terms of this license. If the software is an update, the transfer must include the update and all previous versions. The TweakWindow unregistered shareware version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of TweakWindow without written permission from the copyright holder.

4. TWEAKWINDOW IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THIS SOFTWARE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

5. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorised use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by Serguei Konov.

6. Installing and using TweakWindow signifies acceptance of the terms and conditions of this license.

7. If you do not agree with the terms of this license you must remove TweakWindow files from your storage devices and cease to use the product.

Thank you for using the original TweakWindow.

AbsoluteWay


HOW TO REGISTER

You may use this software during a trial period of 15 days. After this 15 days trial term is finished (or any moment earlier) you MUST register TweakWindow to continue using it!

TweakWindow licensing prices:

License for 1 to 10 users: $21 per user

License for 11 to 20 users: $19 per user

License for 21 and more users: $16 per user

After you register this product you will receive a registration key accompanied with complete instructions within 1 to 2 business days.

You can register TweakWindow using ShareIT or RegNow. With this popular and trustworthy registration services you can pay for the product both online and offline, using a credit card or wire transfer, checks and even a 1-800 toll free phone.

To register TweakWindow visit AbsoluteWay Online Registration Center:
http://www.AbsoluteWay.com/register.htm


Technical support and Upgrade

TweakWindow supports one of the following operating systems:

  • Windows 2000
  • Windows XP
  • Windows 2003

You may use this software during a trial period of 15 days. After this 15 days trial term is finished (or any moment earlier) you MUST register TweakWindow to continue using it!

If for any reason your registration code becomes invalid or lost just send an e-mail to support@AbsoluteWay.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as we have validated your old registration data.

Technical support is available by e-mail at support@AbsoluteWay.com

We will try to reply to all messages but registered users receive priority tech support service.

Please include the following information when requesting support:
· program version (from "About" dialog)
· registered name, product ID (from "About" dialog) and order number (if you're a registered user)
· where did you get TweakWindow from (http or ftp site)
· Windows 2000/XP/2003 version (including service packs and other fixes installed)

Note: before requesting technical support, please see F.A.Q. and ensure that you are using the latest version of TweakWindow available from http://www.AbsoluteWay.com/download.htm


The menu of the settings window.

The menu contains the following commands:

Actions group:

- Restore All. Restores the state of all windows changed in TweakWindow. It means that all hidden windows as well as windows minimized into the tray will be displayed on the screen, windows will become nontransparent, the "Window always on top" option will be cancelled, windows the titles and icons of which have been changed (with the Chameleon feature) will get their original properties back, etc.

- Exit. Closes the program.

Settings group:

- Ok, Cancel, Settings. These commands duplicate the buttons in the settings window.

Help group:

- Dynamic Help. Displays the help information for the current pane.

- Contents. Displays the contents of the help file.

- Index. Displays the list of keywords from the help file.

- Search. Opens the form for context search in the help file.